centos4机器被ansible管理

使用 ansible 管理 centos4 的机器会报错, 默认安装的 python 是 2.3.4 ,需要在 centos4 上的机器添加 python2.7 的环境,以便于被 ansible 管理。

下载安装

wget http://python.org/ftp/python/2.7.5/Python-2.7.5.tgz --no-check-certificate
tar xzf Python-2.7.5.tgz 
cd Python-2.7.5
./configure --enable-shared
make
make altinstall

接下来创建一个记录 python lib 目录的配置文件,/etc/ld.so.conf.d/python27.conf 里记录

/usr/local/lib

并用 ldconfig 加载到系统

ldconfig -v -f /etc/ld.so.conf.d/python27.conf

保证 yum 可用

cp /usr/bin/python /usr/bin/python2.3.4
vim /usr/bin/yum 第一行改为
#!/usr/bin/python2.3.4

系统级别

ln -nfs /usr/local/bin/python2.7 /usr/bin/python

参考:
http://stivesso.blogspot.jp/2014/08/ansible-hosts-install-alternate.html

发表评论

电子邮件地址不会被公开。 必填项已用*标注